<?php

session_start();



function responder($estado=false, $mensaje='', $datos=[])

{

	header('Content-type: application/json');

	echo json_encode([

		'est' => $estado,

		'msj' => $mensaje,

		'dat' => $datos,

		]);

	exit;

}





if($_POST['action']=='agregar') 

{

	if($_POST['asu']!="" )

	{

		$_SESSION['notadebito_asu'][$_POST['asu']]=$_POST['asu'];	

		$_SESSION['notadebito_mon'][$_POST['asu']]=$_POST['mon'];

	

		responder(true, 'Agregado.', ['tipo' => 'agregado']);

	}

	else

	{

		responder(false, 'Ingrese un asunto.', ['tipo' => 'asu']);

	}

}







if($_POST['action']=='restablecer')

{

	unset($_SESSION['notadebito_asu']);

	unset($_SESSION['notadebito_mon']);



	responder(true, 'Restablecido.');

}



if($_POST['action']=='quitar')

{

	unset($_SESSION['notadebito_asu'][$_POST['asu']]);

	unset($_SESSION['notadebito_mon'][$_POST['mon']]);

	responder(true, 'Eliminado.');

}





?>